package cn.axzo.msg.center.notices.common.enums;

import cn.azxo.framework.common.model.EnumBase;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 发送类型
 *
 * 1:实时;2:非实时
 *
 * @author zhaoyong
 * @see BatchSendTypeEnum
 * @since 2021-08-07 16:30
 */
@RequiredArgsConstructor
@Getter
public enum BatchSendTypeEnum implements EnumBase<Integer> {

  /**
   * 批量发送类型
   */
  REALTIME(1, "实时"),
  NOT_REALTIME(2, "非实时"),
  ;

  private final Integer code;

  private final String message;

  public static boolean isRealtime(Integer code){
    return REALTIME.getCode().equals(code);
  }

}
